<?php
namespace Company\Report;



/**
 * Stock Contyrol Report.
 * @author andre.fourie
 */
class CompanyGrid extends \Utility\Service\Report
{



    /**
     * @var string
     */
    protected $_title  = 'Company Data Export';
    /**
     * @var string
     */
    protected $_subject = 'Dealerships on the system.';
    /**
     * @var string
     */
    protected $_description = 'Export of dealerships.';
    /**
     * @var array
     */
    protected $_notes = array(
        'Confidential information, generated using Bid 4 Cars, for more information visit bid4cars.com.na'
    );
    /**
     * @var array
     */
    protected $_headers = array(
        'Group',
        'Division',
        'Dealership',
        'Contact name',
        'Contact surname',
        'Contact email',
        'Landline Number',
        'Status',
        'Region',
        'Town',
        'Address',
        'Postal Code',
        'Registered'
    );
    /**
     * @var array
     */
    protected $_fields = array(
        'grp_name',
        'division_name',
        'company_name',
        'contact_firstName',
        'contact_familyName',
        'contact_email',
        'contact_office',
        'company_jobState',
        'region_name',
        'city_name',
        'company_street',
        'company_postalCode',
        'company_created'
    );
    /**
     * @var array
     */
    protected $_totals = array();
    /**
     * @var array
     */
    protected $_currencyFields = array();



    /**
     * Build the dataset, or not.
     */
    public function build()
    {
        #-> Data passed by DataBin Grid functionality.
    }

}
